Summary:	A graphical temperature monitor
Name:		psensor
Version:	1.2.1
Release:	1%{?dist}
URL:		http://wpitchoune.net/blog/psensor/
License:	GPLv2+
Group:		System/Monitoring
Source0:	http://wpitchoune.net/psensor/files/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml
Requires:	lm_sensors hddtemp
BuildRequires:	make gcc lm_sensors-devel cairo-devel
BuildRequires:	GConf2-devel desktop-file-utils gtk3-devel
BuildRequires:	help2man libnotify-devel libcurl-devel json-c-devel libatasmart-devel libgtop2-devel libmicrohttpd-devel
BuildRequires:  libappstream-glib

%description
Psensor is a graphical hardware temperature monitor for Linux.
It can monitor:
* the temperature of the motherboard and CPU sensors (using lm-sensors).
* the temperature of the NVidia GPUs (using XNVCtrl).
* the temperature of ATI/AMD GPUs (not enabled in Ubuntu PPAs or official
  distribution repositories, see the instructions for enabling its support).
* the temperature of the Hard Disk Drives (using hddtemp or libatasmart).
* the rotation speed of the fans (using lm-sensors).
* the CPU usage (since 0.6.2.10 and using Gtop2).

%prep
%autosetup
sed -i 's|!is_error(obj)|obj != NULL|' src/rsensor.c

%build
%configure
sed -i 's|-Wall -Werror|-Wno-incompatible-pointer-types|' src/server/Makefile
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/icons/ubuntu-mono-*

# Don't need INSTALL file, and we install COPYING separately
rm -f %{buildroot}%{_datadir}/doc/%{name}/{INSTALL,COPYING}

# Validate desktop file
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

# Metainfo
install -m 0644 -D %{SOURCE1} %{buildroot}%{_metainfodir}/%{name}.metainfo.xml
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc %{_datadir}/doc/%{name}/*
%{_datadir}/glib-2.0/schemas/%{name}.gschema.xml
%{_datadir}/applications/%{name}.desktop
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/man/man1/%{name}*.1.*
%{_datadir}/icons/*/*/*/%{name}*
%{_metainfodir}/*


%changelog
* Sat Jun 11 2022 Tim Jackson <rpm@timj.co.uk> - 1.2.1-1
- Cleaned-up version without rpmlint errors, based on work by Wei-Lun Chao and
  djs_core

